# -*- coding: utf-8 -*-
import redis
import json
from django.conf import settings
from engine.redis_base import _PoolMinx
from engine.es_base import ESPerform


class LazyDataHandle(object):
    redis_cli = _PoolMinx()
    actions = ['insert', 'update', 'delete']

    @classmethod
    def insert_data(cls, data):
        pass

    @classmethod
    def del_data(cls, data):
        pass

    @classmethod
    def update_data(cls, data):
        pass

    @classmethod
    def handle_data(cls, data):
        if data.get("action") not in cls.actions:
            return

        if data.get("action") == "insert":
            return cls.insert_data(data)

        if data.get("action") == "update":
            return cls.update_data(data)

        if data.get("action") == "delete":
            return cls.del_data(data)
